| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Functions
icpHandle.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <math.h>`
`#include <ARX/AR/ar.h>`
`#include <ARX/AR/icp.h>`
Include dependency graph for icpHandle.c:

## Functions
ICPHandleT * | icpCreateHandle (const ARdouble matXc2U[3][4])
int | icpDeleteHandle (ICPHandleT **handle)
int | icpSetMatXc2U (ICPHandleT *handle, const ARdouble matXc2U[3][4])
int | icpSetMaxLoop (ICPHandleT *handle, int maxLoop)
int | icpSetBreakLoopErrorThresh (ICPHandleT *handle, ARdouble breakLoopErrorThresh)
int | icpSetBreakLoopErrorRatioThresh (ICPHandleT *handle, ARdouble breakLoopErrorRatioThresh)
int | icpSetBreakLoopErrorThresh2 (ICPHandleT *handle, ARdouble breakLoopErrorThresh2)
int | icpGetMatXc2U (ICPHandleT *handle, ARdouble matXc2U[3][4])
int | icpGetMaxLoop (ICPHandleT *handle, int *maxLoop)
int | icpGetBreakLoopErrorThresh (ICPHandleT *handle, ARdouble *breakLoopErrorThresh)
int | icpGetBreakLoopErrorRatioThresh (ICPHandleT *handle, ARdouble *breakLoopErrorRatioThresh)
int | icpGetBreakLoopErrorThresh2 (ICPHandleT *handle, ARdouble *breakLoopErrorThresh2)
int | icpSetInlierProbability (ICPHandleT *handle, ARdouble inlierProb)
int | icpGetInlierProbability (ICPHandleT *handle, ARdouble *inlierProb)

## Function Documentation

## ◆ icpCreateHandle()

ICPHandleT * icpCreateHandle | ( | const ARdouble | matXc2U[3][4] | ) |

## ◆ icpDeleteHandle()

int icpDeleteHandle | ( | ICPHandleT ** | handle | ) |

## ◆ icpGetBreakLoopErrorRatioThresh()

int icpGetBreakLoopErrorRatioThresh | ( | ICPHandleT * | handle,
|  | ARdouble * | breakLoopErrorRatioThresh
| ) |  |

## ◆ icpGetBreakLoopErrorThresh()

int icpGetBreakLoopErrorThresh | ( | ICPHandleT * | handle,
|  | ARdouble * | breakLoopErrorThresh
| ) |  |

## ◆ icpGetBreakLoopErrorThresh2()

int icpGetBreakLoopErrorThresh2 | ( | ICPHandleT * | handle,
|  | ARdouble * | breakLoopErrorThresh2
| ) |  |

## ◆ icpGetInlierProbability()

int icpGetInlierProbability | ( | ICPHandleT * | handle,
|  | ARdouble * | inlierProb
| ) |  |

## ◆ icpGetMatXc2U()

int icpGetMatXc2U | ( | ICPHandleT * | handle,
|  | ARdouble | matXc2U[3][4]
| ) |  |

## ◆ icpGetMaxLoop()

int icpGetMaxLoop | ( | ICPHandleT * | handle,
|  | int * | maxLoop
| ) |  |

## ◆ icpSetBreakLoopErrorRatioThresh()

int icpSetBreakLoopErrorRatioThresh | ( | ICPHandleT * | handle,
|  | ARdouble | breakLoopErrorRatioThresh
| ) |  |

## ◆ icpSetBreakLoopErrorThresh()

int icpSetBreakLoopErrorThresh | ( | ICPHandleT * | handle,
|  | ARdouble | breakLoopErrorThresh
| ) |  |

## ◆ icpSetBreakLoopErrorThresh2()

int icpSetBreakLoopErrorThresh2 | ( | ICPHandleT * | handle,
|  | ARdouble | breakLoopErrorThresh2
| ) |  |

## ◆ icpSetInlierProbability()

int icpSetInlierProbability | ( | ICPHandleT * | handle,
|  | ARdouble | inlierProb
| ) |  |

## ◆ icpSetMatXc2U()

int icpSetMatXc2U | ( | ICPHandleT * | handle,
|  | const ARdouble | matXc2U[3][4]
| ) |  |

## ◆ icpSetMaxLoop()

int icpSetMaxLoop | ( | ICPHandleT * | handle,
|  | int | maxLoop
| ) |  |